package com.ruoyi.adsdesk.config.mybatis;
import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.framework.security.LoginUser;
import org.apache.ibatis.reflection.MetaObject;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;
import java.util.Objects;

/**
 * mybatis-plus 属性自动填充
 * @author Xingbz
 * 014 06-14
 */
@Component
public class CreateUpdateTimeHandler implements MetaObjectHandler {

    @Override
    public void insertFill(MetaObject metaObject) {
        LoginUser loginUser = SecurityUtils.getLoginUserIgnoreUnAuth();
        if (Objects.nonNull(loginUser)) {
            this.strictInsertFill(metaObject, "createBy", Objects.requireNonNull(loginUser)::getUserId, Long.class);
        }
        this.strictInsertFill(metaObject, "gmtCreate", LocalDateTime::now, LocalDateTime.class);
    }

    @Override
    public void updateFill(MetaObject metaObject) {
        LoginUser loginUser = SecurityUtils.getLoginUserIgnoreUnAuth();
        if (Objects.nonNull(loginUser)) {
            this.strictUpdateFill(metaObject, "updateBy", Objects.requireNonNull(loginUser)::getUserId, Long.class);
        }
        this.strictUpdateFill(metaObject, "gmtModified", LocalDateTime::now, LocalDateTime.class);
    }
}
