package com.ruoyi.project.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.adsdesk.common.AdsBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * Adsdesk模拟环境请求日志
 * @author Xingbz
 * 2022-9-6
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "ads_desk_request_log")
public class AdsDeskRequestLog extends AdsBaseEntity<Long> implements Serializable {

    /**
     * 请求地址
     */
    @TableField(value = "request_url")
    private String requestUrl;

    /**
     * 请求方式
     */
    @TableField(value = "request_method")
    private String requestMethod;

    /**
     * 请求数据
     */
    @TableField(value = "request_body")
    private String requestBody;

    /**
     * 响应状态码
     */
    @TableField(value = "response_code")
    private Integer responseCode;

    /**
     * 响应数据
     */
    @TableField(value = "response_body")
    private String responseBody;

    /**
     * 操作人
     */
    @TableField(value = "opt_user")
    private String optUser;

    /**
     * 授权码
     */
    @TableField(value = "auth_token")
    private String authToken;

    /**
     * 唯一标识, 时间戳
     */
    @TableField(value = "unique_code")
    private Long uniqueCode;

    private static final long serialVersionUID = 1L;

    public static final String COL_ID = "id";

    public static final String COL_REQUEST_URL = "request_url";

    public static final String COL_REQUEST_METHOD = "request_method";

    public static final String COL_REQUEST_BODY = "request_body";

    public static final String COL_RESPONSE_CODE = "response_code";

    public static final String COL_RESPONSE_BODY = "response_body";

    public static final String COL_OPT_USER = "opt_user";

    public static final String COL_AUTH_TOKEN = "auth_token";

    public static final String COL_UNIQUE_CODE = "unique_code";

    public static final String COL_CREATE_BY = "create_by";

    public static final String COL_GMT_CREATE = "gmt_create";

    public static final String COL_UPDATE_BY = "update_by";

    public static final String COL_GMT_MODIFIED = "gmt_modified";

    public static final String COL_IS_DELETE = "is_delete";
}